Could not load the Qt platform plugin "xcb"

Hinweis: In dem Thema Could not load the Qt platform plugin "xcb" gibt es 2 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Auf meinem frisch aufgesetzten Tumbleweed möchte ich das Programm Vorta verwenden.


    Die Installation klappte, aber Vorta startet, bzw. startet nicht, mit der Meldung:


    Code
    qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
    qt.qpa.plugin: Could not load the Qt platform plugin "wayland" in "" even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb, wayland-org.kde.kwin.qpa.


    Was ist nun wieder los?

    Für den Inhalt des Beitrages 136471 haftet ausdrücklich der jeweilige Autor: win2linux

  • Vielleicht kann ich etwas vorgreifen?
    Aus einem anderen Thread: ;)



    ldd /usr/lib64/qt5/plugins/platforms/libqxcb.so



    ergibt?

    Für den Inhalt des Beitrages 136474 haftet ausdrücklich der jeweilige Autor: win2linux

  • Was war der Fehler?
    Ich weiß es nicht. Eine Reparatur habe ich nicht hinbekommen.



    Auf dem frisch installierten System hatte ich Vorta mit

    Code
    pip3 install vorta


    installiert. Dabei kamen auch einige Python3-Dateinen auf das System - und die Fehlermeldung.


    Ein Deinstallieren mittels pip3 uninstall und anschließendes Installieren von vorta aus den Repos mit zypper gelang nicht. Der Fehler blieb.
    Ein vollständiges Deinstallieren mit sofortigen Installieren sämtlicher Pythonpakete schlug fehl. Der Fehler blieb.


    Also: Neuinstallation des gesamten Paketes. Dabei habe ich auch gleich auf Vollverschlüsselung umgestellt. ;-)


    Nun habe ich Vorta aus dem Repo installiert und....... läuft. ;-)
    Allerdings ist dieses Vorta (trotz Tumbleweed!) uralt und spricht nur Englisch.


    Ein

    Code
    pip3 install vorta --upgrade


    brachte mir ein aktuelles Vorta auf das System. Keine Fehler und Deutsch! :D


    Gelöst. (Wenn auch mit der Windowsmethode: Neuinstallation) ;-)

    Für den Inhalt des Beitrages 136490 haftet ausdrücklich der jeweilige Autor: win2linux